Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# dworldhandler.cpp File Reference

`#include "dexibuild.hpp"`
`#include "deBitmap.hpp"`
`#include "deSurface.hpp"`
`#include "deRenderStates.hpp"`
`#include "deMesh.hpp"`

Include dependency graph for dworldhandler.cpp:

## Typedefs
typedef std::map< deString2, IdeBitmapProxy * > | bmpMap_t
typedef std::map< deString2, IdeSurface * > | sfcMap_t
typedef std::map< deString2, dexiVertexSet * > | vtxMap_t
typedef std::map< deString2, dexiTriMesh * > | meshMap_t
typedef std::map< deString2, IdeSceneLight * > | lightMap_t
## Functions
void | loadBitmaps (bmpMap_t &bmpMap, TiXmlElement *bitmaps)
void | loadSurfaces (const bmpMap_t &bmpMap, sfcMap_t &sfcMap, TiXmlElement *surfaces)
void | loadVertices (vtxMap_t &vtxMap, TiXmlElement *vertices)
void | loadTrimesh (const vtxMap_t &vtxMap, const sfcMap_t &sfcMap, meshMap_t &meshMap, TiXmlElement *meshdef)
void | loadScene (sfcMap_t &sfcMap, vtxMap_t &vtxMap, meshMap_t &meshMap, dexiScene &scene, TiXmlElement *scenedef)
void | cleanupContainers (bmpMap_t &bmpMap, sfcMap_t &sfcMap, vtxMap_t &vtxMap, meshMap_t &meshMap, dexiScene &scene)
void | buildDWORLD (TiXmlElement *pRoot, deString2 inputFileName)
bool | readColorAtts (TiXmlElement *thisElem, deColor &outColor)
bool | readColor (TiXmlElement *parentElem, deColor &outColor, bool required)
bool | readVecAtts (TiXmlElement *thisElem, deVec3d &outVec, const char **attNames)
bool | readVec (TiXmlElement *parentElem, deVec3d &outVec, const char *valname, bool required, const char **attNames)
bool | readQuatAtts (TiXmlElement *thisElem, deQuaternion &outQuat)
bool | readQuat (TiXmlElement *parentElem, deQuaternion &outQuat, const char *valname, bool required)
bool | readTransformAtts (TiXmlElement *thisElem, deTransform &outTrans)
bool | readTransform (TiXmlElement *parentElem, deTransform &outTrans, bool required)
## Variables
const char * | posNames [] = {"x","y","z"}
const char * | normNames [] = {"nx","ny","nz"}
const char * | scaleNames [] = {"sx","sy","sz"}
const char * | texNames [] = {"u","v","w"}

## Typedef Documentation

typedef std::map<deString2, IdeBitmapProxy*> bmpMap_t

typedef std::map<deString2, IdeSceneLight*> lightMap_t

typedef std::map<deString2, dexiTriMesh*> meshMap_t

typedef std::map<deString2, IdeSurface*> sfcMap_t

typedef std::map<deString2, dexiVertexSet*> vtxMap_t

## Function Documentation

void buildDWORLD | ( | TiXmlElement * | pRoot,
|  | deString2 | inputFileName
| ) |

void cleanupContainers | ( | bmpMap_t & | bmpMap,
|  | sfcMap_t & | sfcMap,
|  | vtxMap_t & | vtxMap,
|  | meshMap_t & | meshMap,
|  | dexiScene & | scene
| ) |

void loadBitmaps | ( | bmpMap_t & | bmpMap,
|  | TiXmlElement * | bitmaps
| ) |

void loadScene | ( | sfcMap_t & | sfcMap,
|  | vtxMap_t & | vtxMap,
|  | meshMap_t & | meshMap,
|  | dexiScene & | scene,
|  | TiXmlElement * | scenedef
| ) |

void loadSurfaces | ( | const bmpMap_t & | bmpMap,
|  | sfcMap_t & | sfcMap,
|  | TiXmlElement * | surfaces
| ) |

void loadTrimesh | ( | const vtxMap_t & | vtxMap,
|  | const sfcMap_t & | sfcMap,
|  | meshMap_t & | meshMap,
|  | TiXmlElement * | meshdef
| ) |

void loadVertices | ( | vtxMap_t & | vtxMap,
|  | TiXmlElement * | vertices
| ) |

bool readColor | ( | TiXmlElement * | parentElem,
|  | deColor & | outColor,
|  | bool | required
| ) |

bool readColorAtts | ( | TiXmlElement * | thisElem,
|  | deColor & | outColor
| ) |

bool readQuat | ( | TiXmlElement * | parentElem,
|  | deQuaternion & | outQuat,
|  | const char * | valname,
|  | bool | required
| ) |

bool readQuatAtts | ( | TiXmlElement * | thisElem,
|  | deQuaternion & | outQuat
| ) |

bool readTransform | ( | TiXmlElement * | parentElem,
|  | deTransform & | outTrans,
|  | bool | required
| ) |

bool readTransformAtts | ( | TiXmlElement * | thisElem,
|  | deTransform & | outTrans
| ) |

bool readVec | ( | TiXmlElement * | parentElem,
|  | deVec3d & | outVec,
|  | const char * | valname,
|  | bool | required,
|  | const char ** | attNames
| ) |

bool readVecAtts | ( | TiXmlElement * | thisElem,
|  | deVec3d & | outVec,
|  | const char ** | attNames
| ) |

## Variable Documentation

const char* normNames[] = {"nx","ny","nz"}`[static]`

const char* posNames[] = {"x","y","z"}`[static]`

const char* scaleNames[] = {"sx","sy","sz"}`[static]`

const char* texNames[] = {"u","v","w"}`[static]`